#ifndef TOOLS_H
#define TOOLS_H

#include <allegro.h>
#include "command.h"

extern void drawHorizontalMarker(BITMAP *map, int x, int y);
extern void drawVerticalMarker(BITMAP *map, int x, int y);
extern void drawCrossMarker(BITMAP *map, int x, int y);

extern int penGenerate(Command *command);

extern BITMAP * pencilOptions(BITMAP *bmp, int b, int key, int x, int y);
extern int pencilGenerate(Command *command);

extern BITMAP * brushOptions(BITMAP *bmp, int b, int key, int x, int y);
extern int brushGenerate(Command *command);

extern BITMAP * chalkOptions(BITMAP *bmp, int b, int key, int x, int y);
extern int chalkGenerate(Command *command);

extern BITMAP * smudgeOptions(BITMAP *bmp, int b, int key, int x, int y);
extern int smudgeGenerate(Command *command);

extern BITMAP * stampOptions(BITMAP *bmp, int b, int key, int x, int y);
extern int stampGenerate(Command *command);

#endif
